window.addEventListener('click', (event)=> {
    
    let counter;


    if (event.target.dataset.action === 'plus' || event.target.dataset.action === 'minus') {


        const counterWrapper = event.target.closest('.counter-wrapper');  
        counter = counterWrapper.querySelector('[data-counter]');

        

    }
  
    if (event.target.dataset.action === 'plus') {
        counter.innerText = ++counter.innerText;
        calculatePrice();
        toggleStatus();
    }

    
    if (event.target.dataset.action === 'minus') {
        
        



        if (parseInt(counter.innerText) > 1) {
            counter.innerText = --counter.innerText;
            calculatePrice();
            toggleStatus();
        }
    }


    if (event.target.closest('.cart-wrapper') && event.target.dataset.action === 'delete') {
        
        const cartItem = event.target.closest('.cart-item')
        cartItem.querySelector('.items__current').innerText = 0;
        cartItem.remove();
        calculatePrice();
        toggleStatus();
    }




    




})


